Emitted when a RealTimeModel goes online after being offline. Subscribe to this directly on a RealTimeModel rather than a RealTimeElement within.

### Hierarchy

- ModelOnlineEvent

### Implements

- IModelEvent

## Index

### Properties

- name
- src
- NAME

## Properties

### name

name: string = ModelOnlineEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: RealTimeModel

Implementation of IModelEvent.src

The RealTimeModel that came online.

### StaticNAME

NAME: "online" = "online"